clear all

load Tzz.txt;  % Se carga el archivo con la malla que procesaremos


dx=0.0242144;    %  intervalo de muestreo, si es  diferente se necesita cambiar

lx=373*dx;
ly=662*dx;   %tamaño de la matriz

Kx0=2*pi/lx;
Ky0=2*pi/ly;

Kxn=pi/dx;
Kyn=pi/dx;

vx=[-Kxn:Kx0:Kxn];
vy=[-Kyn:Ky0:Kyn];  %creacion de ancho de frecuencias en forma de vectores

vy=transpose(vy);   %vectores columna y renglón

y=ones(663,1);      %Los vectores unidad para convertir a matriz
x=ones(1,374);


k=zeros(663,374);   %inicilizamos las matrices que ocuparemos
fa=zeros(663,374);
fm1=zeros(662,373);
FS=zeros(662,373);


kx=y * vx;      %creamos las matrices a base de repetir los vectores
ky=vy * x;      %multiplicando vector colmnas por renglones


for i=1:663
    for j=1:374     %obtenemos el modulo de las matrices anteriores
        k(i,j)=sqrt((kx(i,j)^2 + ky(i,j)^2));
    end
end
k=fftshift(k);
Fa=(fft2(Tzzchido));    %usamos la parte real de la transformada fourier 2d
for i=1:662
    for j=1:373
        fm1(i,j)=Fa(i,j)/k(i,j);
    end
end

fm1(1,1)=Fa(1,1);

FS=real(ifft2(fm1));        %Regresamos al dominio del tiempo
figure(1)
imagesc(FS)          %Se grafican los resultados

figure(2)
imagesc(Tzzchido)


dlmwrite('Tz.dat',FS,' ');  %se guarda la malla creada en un archivo nuevo






